Ryzom - Bug # 136

Status: Closed Priority: High
Author: kervala Category: NeL: General
Created: 09/27/2008 Assignee: kervala
Updated: 09/30/2010 Due date:

Subiject: getAngle() doesn't returns the same angle as getAngleAxis().Angle

Description

Test case :

@@
CQuat test(0.0030760816f, -0.042772915f, 0.12510571f, 0.99121618f);

printf("Angle = %f <=> %f\n", test.getAngle(), test.getAngleAxis().Angle);
@@

Values are different when compiling with Visual C++ 2008 Express with SP1 and Custom optimizations with inline only.

History

#1 - 09/27/2008 10:45 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r390.

#2 - 11/18/2008 11:58 am - kervala

- Status changed from Resolved to Closed

#3 - 09/29/2010 09:24 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)

- Target version deleted (Version 0.7.0)
#4 - 09/30/2010 11:33 am - kervala

- Category set to NeL: General
- Target version set to Version 0.7.0
